Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.greedyFit.scope
Class GreedyFitSolverPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
          org.optaplanner.core.impl.constructionheuristic.greedyFit.scope.GreedyFitSolverPhaseScope

    public class GreedyFitSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`GreedyFitStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(GreedyFitStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpend, calculateScore, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, setStartingScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreedyFitSolverPhaseScope

    public GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public GreedyFitStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(GreedyFitStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.